%define anolis_release 1
%global tarball libX11

Summary: Core X11 protocol client library
Name: libX11
Version: 1.8.2
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org

Source0: https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: make
BuildRequires: xorg-x11-util-macros >= 1.11
BuildRequires: pkgconfig(xcb) >= 1.11.1
BuildRequires: pkgconfig(xextproto)
BuildRequires: pkgconfig(xproto) >= 7.0.25
BuildRequires: pkgconfig(xtrans)
BuildRequires: perl(Pod::Usage)

Requires: %{name}-common >= %{version}-%{release}

%description
Core X11 protocol client library.

%package common
Summary: Common data for libX11
BuildArch: noarch

%description common
libX11 common data

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name}-common = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: %{name}-xcb = %{version}-%{release}

%description devel
X.Org X11 libX11 development package

%package xcb
Summary: XCB interop for libX11
Conflicts: %{name} < %{version}-%{release}

%description xcb
libX11/libxcb interoperability library

%prep
%autosetup -p1

%build
%configure --disable-silent-rules --disable-static

%make_build

%install
%make_install

# create/own compose cache dir
mkdir -p $RPM_BUILD_ROOT/var/cache/libX11/compose

# FIXME: Don't install Xcms.txt - find out why upstream still ships this.
find $RPM_BUILD_ROOT -name 'Xcms.txt' -delete

# FIXME package these properly
rm -rf $RPM_BUILD_ROOT%{_docdir}

%generate_compatibility_deps

%check
%make_build check

%files
%{_libdir}/libX11.so.6
%{_libdir}/libX11.so.6.*
%{abidir}/libX11.dump

%files xcb
%{_libdir}/libX11-xcb.so.1
%{_libdir}/libX11-xcb.so.1.*
%{abidir}/libX11-xcb.dump

%files common
%dir %{abidir}
%doc COPYING
%{_datadir}/X11/locale/
%{_datadir}/X11/XErrorDB
%dir /var/cache/libX11
%dir /var/cache/libX11/compose

%files doc
%doc AUTHORS README.md ChangeLog

%files devel
%{_includedir}/X11/ImUtil.h
%{_includedir}/X11/XKBlib.h
%{_includedir}/X11/Xcms.h
%{_includedir}/X11/Xlib.h
%{_includedir}/X11/XlibConf.h
%{_includedir}/X11/Xlibint.h
%{_includedir}/X11/Xlib-xcb.h
%{_includedir}/X11/Xlocale.h
%{_includedir}/X11/Xregion.h
%{_includedir}/X11/Xresource.h
%{_includedir}/X11/Xutil.h
%{_includedir}/X11/cursorfont.h
%{_includedir}/X11/extensions/XKBgeom.h
%{_libdir}/libX11.so
%{_libdir}/libX11-xcb.so
%{_libdir}/pkgconfig/x11.pc
%{_libdir}/pkgconfig/x11-xcb.pc
%{_mandir}/man3/*.3*
%{_mandir}/man5/*.5*

%changelog
* Sat Nov 12 2022 Funda Wang <fundawang@yeah.net> - 1.8.2-1
- New version 1.8.2

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.7.4-2
- optimise spec file & add doc package

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.7.4-1
- Init from upstream version 1.7.4

